<?php

	define('INSIDE' , true);
	define('INSTALL' , false);
	
	define('ROOT_PATH', realpath(dirname(__FILE__)) . DIRECTORY_SEPARATOR);
	
	include(ROOT_PATH . 'common.php');
	
	$CodeAllopass = $_GET['RECALL'];
	$CodeAllopassBDD = mysql_real_escape_string($_GET['RECALL']);
	$CodeAllopassEncode = urlencode( $CodeAllopass );
	
	/**************************************************************************/
	/*      Vrification si la mise en forme du code retourn est valide      */
	/**************************************************************************/
	
	if ( trim($CodeAllopass) == ""  && strlen(trim($CodeAllopass)) != 8 )
		message("Erreur dans la r&eacute;cup&eacute;ration du code Allopass", "Information", "bonus.php", 5);
	
	/**************************************************************************/
	/*                        Fin de la vrification                          */
	/**************************************************************************/
	
	/**************************************************************************/
	/*      Suppression des codes Allopass expirs de la base de donnes      */
	/**************************************************************************/
	
	$time = time();
	
	$Qry = <<<SQL
					DELETE FROM
									{{table}}
					WHERE 
									`time_update` < '{$time}';
SQL;
	doquery($Qry, 'code');
	
	/**************************************************************************/
	/*                         Fin de la suppression                          */
	/**************************************************************************/
	
	/**************************************************************************/
	/*  Vrification de la prsence du code Allopass dans la base de donnes  */
	/**************************************************************************/
	
	$Qry = <<<SQL
					SELECT COUNT(*) AS `nbre` 
					FROM 	{{table}}
					WHERE `CodeAllopass` = '{$CodeAllopassBDD}';
SQL;
	
	$Rep = doquery($Qry, 'code', true);
	
	if ($Rep['nbre'] > 0)
		message("Vous avez d&eacute;j&agrave; rentr&eacute; ce code", "Information", "bonus.php", 5);
	
	/**************************************************************************/
	/*                        Fin de la vrification                          */
	/**************************************************************************/
	
	/**************************************************************************/
	/*        Vrification si le serveur peut ouvrir un fichier distant       */
	/**************************************************************************/
	
	if ( ini_get('allow_url_fopen') == 0 )
		message("Votre serveur ne peut pas ouvrir des fichiers distants", "Erreur");		
	
	/**************************************************************************/
	/*                        Fin de la vrification                          */
	/**************************************************************************/
	
	/**************************************************************************/
	/*  Vrification de la validit du code en appelant le serveur Allopass   */
	/**************************************************************************/
	
	// $Auth doit contenir l'identifiant de votre document
	$Auth = urlencode( "xxxxxx/xxxxxx/xxxxxx" );
	
	$r = @file( "http://payment.allopass.com/api/checkcode.apu?code={$CodeAllopassEncode}&auth={$Auth}" );

	// on teste la rponse du serveur
	if( substr( $r[0],0,2 ) != "OK" )
	{
		// Le serveur a rpondu ERR ou NOK : l'accs est donc refus
		message("Code Allopass erron&eacute;", "Information", "bonus.php", 5);
	}
	
	if( substr( $r[0],0,2 ) == "OK" )
	{
		// Le code Allopass est bon
		
		$time = time() + 600; // On maintient le code pendant 10 minutes dans la base de donnes ( 10 * 60 s = 600 s )
		
		$Qry = <<<SQL
						INSERT INTO 
									{{table}} 
						SET				
									`CodeAllopass` = '{$CodeAllopassBDD}', 
									`time_update` = '{$time}';
SQL;
		// On stocke le code Allopass dans la base de donnes
		doquery($Qry, 'code');
		
		$Qry = <<<SQL
							UPDATE 		{{table}} 
							SET			`points_bonus` = `points_bonus` + '1' 
							WHERE		`id` = {$user['id']};
SQL;
		// On ajoute le point au joueur dans la base de donnes
		doquery($Qry,'users');		
		
		// Et sur $user aussi
		$user['points_bonus']++;

		message ('Votre compte a ete cr&eacute;dit&eacute; d\'un point bonus en plus. Merci','Vous disposez de '. intval($user['points_bonus']) .' points bonus',"overview.php", 5);
	
	}
	
	/**************************************************************************/
	/*                        Fin de la vrification                          */
	/**************************************************************************/	
?>